> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tap Destination

> Returns a single tap destination by ID.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json get /api/v3/tap/destinations/{destinationId}
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/tap/destinations/{destinationId}:
    get:
      tags:
        - Tap
      summary: Get Tap Destination
      description: Returns a single tap destination by ID.
      operationId: OpenApiTapDestinationsController_getDestinationById
      parameters:
        - name: destinationId
          required: true
          in: path
          description: The ID of the tap destination.
          schema:
            example: 6816f7ce7d2a1b4c12ab3499
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTapDestinationByIdResponse'
        '404':
          description: Destination not found.
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    GetTapDestinationByIdResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Destination ID
              example: 6816f7ce7d2a1b4c12ab3499
            name:
              type: string
              description: Destination name
              example: Spring Campaign
            type:
              type: string
              enum:
                - web
                - sms
              nullable: true
              description: Destination type
              example: web
            url:
              type: string
              nullable: true
              description: Redirect URL for web destinations
              example: https://give.example.org/spring
            textNumber:
              type: string
              nullable: true
              description: Phone number for SMS destinations
            textContent:
              type: string
              nullable: true
              description: SMS message body
            createdAt:
              type: string
              format: date-time
              description: Record creation timestamp
              example: '2026-05-01T17:22:11.421Z'
            updatedAt:
              type: string
              format: date-time
              description: Record last updated timestamp
              example: '2026-05-04T14:09:32.145Z'
            archivedAt:
              type: string
              format: date-time
              nullable: true
              description: Archive timestamp, null if active
          required:
            - id
            - name
            - type
            - url
            - textNumber
            - textContent
            - createdAt
            - updatedAt
            - archivedAt
          description: Tap destination for the given id.
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````